import Testing
@testable import PFFFT

@Test func example() async throws {
    let cache = PFFFT.SetupCache<Double>()

    let ff = try cache.get(for: 1024, type: .real)

    let input = Buffer<Double>(capacity: 1023)
    let output = Buffer<Double>(capacity: 1024)

    ff.fft(input: input, output: output, work: nil, sign: .forward)

    // Write your test here and use APIs like `#expect(...)` to check expected conditions.
}
